<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/my_ScrollView_style"
    tools:context=".ui.fragment.pet.HomePetFragment">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingBottom="@dimen/dp_12">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/home_pet_top_lottie_view"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_200"
            android:background="@drawable/shape32_white_color_bg"
            android:visibility="gone"
            app:lottie_loop="true" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape32_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_about"
                style="@style/my_TextView_style_v2"
                android:text="@string/pet_manage_detail_title1"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_more_about"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_v2_about"
                android:layout_alignParentEnd="true"
                android:text="@string/pet_manage_detail_edit"
                android:textColor="@color/btn_color"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_type_title"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_about"
                android:layout_alignStart="@id/tv_home_pet_v2_about"
                android:layout_marginTop="@dimen/dp_18"
                android:text="@string/txt_type"
                android:textColor="@color/block_color2"
                android:textSize="@dimen/textSize14" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_type"
                style="@style/my_TextView_style_v2"
                android:layout_alignTop="@id/tv_home_pet_v2_type_title"
                android:layout_marginStart="@dimen/dp_42"
                android:text="@string/txt_dog"
                android:textSize="@dimen/textSize14" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_breed_title"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_type_title"
                android:layout_alignStart="@id/tv_home_pet_v2_type_title"
                android:layout_marginTop="@dimen/dp_12"
                android:text="@string/acccount_breed"
                android:textColor="@color/block_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_breed"
                style="@style/my_TextView_style_v2"
                android:layout_alignTop="@id/tv_home_pet_v2_breed_title"
                android:layout_marginStart="@dimen/dp_42"
                android:text="@string/acccount_breed"
                android:textSize="@dimen/textSize14"
                android:visibility="gone" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_birthday"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_type_title"
                android:layout_alignStart="@id/tv_home_pet_v2_about"
                android:layout_marginTop="@dimen/dp_16"
                android:drawableStart="@drawable/icon_date_svg"
                android:drawablePadding="@dimen/dp_8"
                android:text="@string/txt_pet_birthdayDate"
                android:textSize="@dimen/textSize14" />

            <View
                android:id="@+id/v_home_pet_v2_placeholder_view"
                android:layout_width="@dimen/dp_1"
                android:layout_height="@dimen/dp_1"
                android:layout_centerInParent="true" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_sex"
                style="@style/my_TextView_style_v2"
                android:layout_alignTop="@id/tv_home_pet_v2_birthday"
                android:layout_marginStart="@dimen/dp_18"
                android:layout_toEndOf="@id/v_home_pet_v2_placeholder_view"
                android:drawableStart="@drawable/icon_female_svg"
                android:drawablePadding="@dimen/dp_8"
                android:text="@string/pet_manage_gender_female"
                android:textSize="@dimen/textSize14" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_home_pet_v2_label"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_home_pet_v2_birthday"
                android:layout_alignStart="@id/tv_home_pet_v2_about"
                android:layout_alignEnd="@id/btn_home_pet_more_about"
                android:layout_marginTop="@dimen/dp_8"
                android:nestedScrollingEnabled="false"
                android:visibility="gone" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape32_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_activity"
                android:textStyle="bold" />


            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_manage_activity"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_v2_activity"
                android:layout_alignParentEnd="true"
                android:text="@string/txt_manage"
                android:textColor="@color/btn_color"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity_goal"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_activity"
                android:layout_alignStart="@id/tv_home_pet_v2_activity"
                android:layout_marginTop="@dimen/dp_16"
                android:text="@string/txt_activity_goal"
                android:textSize="@dimen/textSize14" />


            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity_time_title"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_activity_goal"
                android:layout_alignStart="@id/tv_home_pet_v2_activity"
                android:layout_marginTop="@dimen/dp_14"
                android:text="@string/txt_time"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity_time"
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/tv_home_pet_v2_activity_time_title"
                android:layout_alignStart="@id/tv_home_pet_v2_activity"
                android:text="0"
                android:textSize="@dimen/textSize20"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_alignBaseline="@id/tv_home_pet_v2_activity_time"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_toEndOf="@id/tv_home_pet_v2_activity_time"
                android:text="@string/data_active_unit_min"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12" />

            <View
                android:id="@+id/tv_home_pet_v2_activity_line"
                android:layout_width="@dimen/dp_1"
                android:layout_height="wrap_content"
                android:layout_alignTop="@id/tv_home_pet_v2_activity_time_title"
                android:layout_alignBottom="@id/tv_home_pet_v2_activity_time"
                android:layout_centerInParent="true"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginBottom="@dimen/dp_6"
                android:background="@color/line_color1" />


            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity_calories_title"
                style="@style/my_TextView_style_v2"
                android:layout_alignTop="@id/tv_home_pet_v2_activity_time_title"
                android:layout_marginStart="@dimen/dp_24"
                android:layout_toEndOf="@id/tv_home_pet_v2_activity_line"
                android:text="@string/data_active_calories"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize14" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_activity_calories"
                style="@style/my_TextView_style_v2"
                android:layout_alignStart="@id/tv_home_pet_v2_activity_calories_title"
                android:layout_alignTop="@id/tv_home_pet_v2_activity_time"
                android:text="0"
                android:textSize="@dimen/textSize20"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_alignBaseline="@id/tv_home_pet_v2_activity_calories"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_toEndOf="@id/tv_home_pet_v2_activity_calories"
                android:text="@string/txt_calorie_unit"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape32_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_badges"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_badges"
                android:textStyle="bold" />


            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_badges_view_all"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_v2_badges"
                android:layout_alignParentEnd="true"
                android:text="@string/txt_view_all"
                android:textColor="@color/btn_color"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_home_pet_v2_badges"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_home_pet_v2_badges"
                android:layout_marginTop="@dimen/dp_24"
                android:layout_marginBottom="@dimen/dp_10"
                android:nestedScrollingEnabled="false" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/rl_home_pet_v2_family_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/shape32_white_color_bg"
            android:padding="@dimen/dp_16">

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_home_pet_v2_family"
                style="@style/my_TextView_style_v2"
                android:text="@string/txt_invite_members"
                android:textStyle="bold" />

            <com.abbidot.tracker.widget.TypefaceRoundButton
                android:id="@+id/btn_home_pet_family_manage"
                style="@style/my_QMUIRoundButton_very_small_style"
                android:layout_alignTop="@id/tv_home_pet_v2_family"
                android:layout_alignParentEnd="true"
                android:text="@string/txt_manage"
                android:textColor="@color/btn_color"
                android:visibility="gone"
                app:qmui_borderColor="@color/btn_color"
                app:qmui_borderWidth="@dimen/dp_1"
                app:typeface="@string/roboto_bold_font" />


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_home_pet_v2_family"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_home_pet_v2_family"
                android:layout_alignStart="@id/tv_home_pet_v2_family"
                android:layout_alignEnd="@id/btn_home_pet_family_manage"
                android:nestedScrollingEnabled="false" />
        </RelativeLayout>
    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.core.widget.NestedScrollView>